package com.hfkj.openapi.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class RequestQueryCodeModel {

    /**
     * appid
     */
    @NotBlank(message = "请求id必填项")
    private String reqId;

    /**
     * appid
     */
    @NotBlank(message = "appId必填项")
    private String appId;

    /**
     * 优惠券code
     */
    @NotNull(message = "优惠券code必填项")
    private Long code;

    /**
     * 签名参数
     */
    @NotBlank(message = "签名必填项")
    private String sign;
}
