package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountUseMer;

import java.util.List;

/**
 * @className: BsDiscountUseMerService
 * @author: HuRui
 * @date: 2024/8/30
 **/
public interface BsDiscountUseMerService {

    /**
     * 配置使用油站
     * @param discountNo
     * @param merNoList
     */
    void configUseMer(String discountNo, List<String> merNoList);

    /**
     * 查询详情
     * @param discountNo
     * @param merNo
     * @return
     */
    BsDiscountUseMer getDetail(String discountNo,String merNo);

    /**
     * 查询列表
     * @param discountNo
     * @return
     */
    List<BsDiscountUseMer> getList(String discountNo);

}
